Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodechildnodes Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodechildnodes (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getChildNodes()" method returns a NodeList that contains all children of this node.

Retrieve the second employee and check the NodeList returned by the "getChildNodes()" method. The length of the list should be 13.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-1451460987

Definition at line 45 of file nodechildnodes.java.

## Constructor & Destructor Documentation

nodechildnodes::nodechildnodes | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 47 of file nodechildnodes.java.
    00048  {
    00049       super(factory);
    00050
    00051    }

## Member Function Documentation

String nodechildnodes::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 76 of file nodechildnodes.java.
    00076                                 {
    00077       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodechildnodes";
    00078    }

void nodechildnodes::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 79 of file nodechildnodes.java. References DOMTestCase::doMain().
    00079                                           {
    00080         DOMTestCase.doMain(nodechildnodes.class,args);
    00081    }

void nodechildnodes::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 53 of file nodechildnodes.java. References DOMTestCase::assertSize(), DOMTest::isIgnoringElementContentWhitespace(), and DOMTest::load().
    00053                                                     {
    00054       Document doc;
    00055       NodeList elementList;
    00056       Node employeeNode;
    00057       NodeList childNodes;
    00058       doc = load("staff");
    00059       elementList = doc.getElementsByTagName("employee");
    00060       employeeNode = elementList.item(1);
    00061       childNodes = employeeNode.getChildNodes();
    00062
    00063         if(
    00064         isIgnoringElementContentWhitespace()
    00065         ) {
    00066         assertSize("childCountNoWhitespace",6,childNodes);
    00067
    00068         }
    00069
    00070                 else {
    00071                         assertSize("childCountWhitespace",13,childNodes);
    00072
    00073                 }
    00074
    00075    }

The documentation for this class was generated from the following file:

- nodechildnodes.java